View Issue Details

IDProjectCategoryView StatusLast Update
0002788SymmetricDSBugpublic2016-09-22 07:36
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002788: Sync of monitor events gets unique key violation
DescriptionSync of monitor events gets unique key violation on platforms like MySQL where the default datetime precision is different from the source system. When a monitor event is updated to is_notified = 1, the update will sync and get 0 rows updated and then try an insert that fails the primary key.
TagsNo tags attached.

Relationships

related to 0002819 closed Random conflicts on the heartbeat channel 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 6656c1a5

2016-09-12 13:57:21

admin

Details Diff
0002788: Sync of monitor events gets unique key violation
0002788
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File

Issue History

Date Modified Username Field Change
2016-09-12 13:56 elong New Issue
2016-09-12 13:56 elong Status new => assigned
2016-09-12 13:56 elong Assigned To => elong
2016-09-12 14:00 admin Changeset attached => SymmetricDS 3.8 6656c1a5
2016-09-12 14:26 elong Status assigned => resolved
2016-09-12 14:26 elong Resolution open => fixed
2016-09-12 14:26 elong Fixed in Version => 3.8.4
2016-09-16 09:00 admin Status resolved => closed
2016-09-22 07:36 elong Relationship added related to 0002819